org.apache.cassandra.utils

## Class BloomCalculations.BloomSpecification

- java.lang.Object
- - org.apache.cassandra.utils.BloomCalculations.BloomSpecification

Enclosing class:
  BloomCalculations

    public static class BloomCalculations.BloomSpecification
    extends java.lang.Object

A wrapper class that holds two key parameters for a Bloom Filter: the number of hash functions used, and the number of buckets per element used.

### Constructor Summary

Constructors
Constructor and Description
`BloomSpecification(int k, int bucketsPerElement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BloomSpecification

    public BloomSpecification(int k,
                              int bucketsPerElement)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`